APT-MARK(8)

NAME
apt-mark - toon verschillende instellingen van een pakket, stel ze in of maak ze ongedaan

SAMENVATTING

apt-mark {-f=bestandsnaam | {auto | manual} pakket... | {showauto | showmanual} [pakket...] } | {-v | --version} | {-h | --help}

apt-mark {hold | unhold | install | remove | purge} pakket... | {showhold | showinstall | showremove | showpurge} [pakket...]

OMSCHRIJVING

apt-mark kan gebruikt worden als een geïntegreerd frontend waarmee verschillende instellingen van een pakket ingesteld kunnen worden, zoals een pakket als automatisch/handmatig geïnstalleerd markeren of wijzigingen aanbrengen aan dpkg-selecties zoals handhaven, installeren, verwijderen, wissen, welke bijvoorbeeld door apt-get dselect-upgrade en aptitude gerespecteerd worden.

AUTOMATISCH EN HANDMATIG GEÏNSTALLEERDE PAKKETTEN

Indien u vraagt dat een pakket geïnstalleerd wordt en er worden als gevolg daarvan andere pakketten geïnstalleerd om aan de vereisten te voldoen, dan worden die laatste pakketten gemarkeerd als automatisch geïnstalleerd, terwijl het pakket dat u expliciet installeerde als handmatig geïnstalleerd gemarkeerd wordt. Wanneer een automatisch geïnstalleerd pakket door geen enkel handmatig geïnstalleerd pakket meer vereist wordt, zal het als niet langer noodzakelijk beschouwd worden en bijvoorbeeld apt-get of aptitude zullen op zijn minst voorstellen om het te verwijderen.

auto
    auto wordt gebruikt om een pakket als automatisch geïnstalleerd te markeren. Dit zal tot gevolg hebben dat dit pakket verwijderd wordt als er geen handmatig geïnstalleerde pakketten meer zijn die dat pakket nodig hebben.

manual
    manual wordt gebruikt om een pakket als handmatig geïnstalleerd te markeren. Dit zal voorkomen dat het pakket automatisch wordt verwijderd als geen andere pakketten ervan afhankelijk zijn.

minimize-manual
    minimize-manual wordt gebruikt om (transitief) vereisten van metapakketten als automatisch geïnstalleerd te markeren. Dit kan na een installatie gebruikt worden om bijvoorbeeld het aantal handmatig geïnstalleerde pakketten te verminderen, of permanent op systemen die beheerd worden met systeemconfiguratiemetapakketten.

showauto
    showauto wordt gebruikt om een lijst weer te geven van automatisch geïnstalleerde pakketten, waarbij elk pakket op een nieuwe regel staat. Als geen pakket opgegeven wordt, zullen alle automatisch geïnstalleerde pakketten weergegeven worden. Indien wel pakketten opgegeven worden, zullen enkel die pakketten weergegeven worden die automatisch geïnstalleerd werden.

showmanual
    showmanual kan op dezelfde manier als showauto gebruikt worden, behalve dat in dit geval een lijst van manueel geïnstalleerde pakketten weergegeven zal worden.

  Opties

-f=bestandsnaam, --file=bestandsnaam
    De status van een pakket lezen van/schrijven naar het bestand waarvan de naam opgegeven werd met de parameter bestandsnaam en niet de standaardlocatie gebruiken welke extended_states is in de map die vermeld wordt in het configuratie-item: Dir::State.

VOORKOMEN DAT EEN PAKKET GEWIJZIGD WORDT

hold
    hold wordt gebruikt om een pakket als te handhaven te markeren. Dit zal voorkomen dat het pakket automatisch geïnstalleerd, opgewaardeerd of verwijderd wordt.

unhold
    unhold wordt gebruikt om een eerder ingestelde status tegengehouden ongedaan te maken, zodat opnieuw alle acties toegelaten zijn.

showhold
    showhold wordt gebruikt om op dezelfde manier als voor de andere show-opdrachten een lijst weer te geven van pakketten die tegengehouden worden.

HET INSTALLEREN, VERWIJDEREN EN WISSEN VAN PAKKETTEN INPLANNEN

Sommige frontends zoals apt-get dselect-upgrade kunnen gebruikt worden om eerder geplande wijzigingen aan de installatiestatus van pakketten toe te passen. Deze wijzigingen kunnen ingepland worden met de commando's install, remove (ook gekend als deinstall) en purge. Pakketten met een specifieke selectie kunnen respectievelijk met showinstall, showremove en showpurge weergegeven worden. Meer informatie over deze zogenaamde dpkg-selecties vindt u in dpkg(1).

OPTIES

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

--audit
    Controle- (en kennisgevings)berichten tonen. Dit heeft voorrang op de optie quiet, maar alleen voor waarschuwingsberichten, niet voor voortgangsberichten.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

--cli-versie
    Vraagt om een specifieke CLI-versie. Dit is een patroon dat een MAJOR.MINOR-versie gebruikt. U kunt de MINOR-versie weglaten, in welk geval de nieuwste ondersteunde minor-versie wordt gebruikt.

    Versietracks worden als volgt weergegeven: Versie 3.2 heeft equivalente versies 0.32, 1.22 en 2.12, waarin nieuwe functies voor de gespecificeerde hoofdversies zijn geïmplementeerd.

    Een speciaal geval is het X.9-versiepatroon: op een versie als 2.9 volgt 3.0, maar 2.10 volgt direct op 2.8, aangezien we oneven versienummers gebruiken als ontwikkelingsserie (2.9 is de ontwikkelingsserie van 3.0).

    Deze functie is geïntroduceerd in APT 3.1.10 en vervangt de binair-specifieke configuratie. U kunt de optie APT::Version gebruiken voor een soortgelijk effect op oudere binaire bestanden, bijvoorbeeld door -o APT::Version=2 te gebruiken om apt(8) te laten werken als in de 2.x-serie.

    De standaardwaarde is de huidige APT-versie voor apt(8) en 0.(10 * major + minor) voor de klassieke commando's. De 0.X-serie is zachtjes afgeschreven en de andere commando's zullen in de toekomst worden omgezet naar de 2.x-serie.

--no-color, --color
    Kleur aan- of uitzetten. Kleur staat standaard aan voor apt(8) op ondersteunde terminals en kan ook uitgezet worden met de omgevingsvariabelen NO_COLOR en APT_NO_COLOR, of verder geconfigureerd worden met de configuratieoptie en -scope APT::Color; zie apt.conf(5) voor informatie hierover.

BESTANDEN

/var/lib/apt/extended_states
    Statuslijst van automatisch geïnstalleerde pakketten. Configuratie-item: Dir::State::extended_states.

ZIE OOK

apt-get(8), aptitude(8), apt.conf(5)

DIAGNOSTIEK

apt-mark geeft de terugkeerwaarde nul bij een normaal verlopen operatie, niet-nul in geval van een fout.

BUGS

APT bugpagina[1]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Mike O'Connor

APT-team

OPMERKINGEN

1.  APT bugpagina
    https://bugs.debian.org/src:apt